Subject: bug#32178: 11.90.2.2017-07-25; TeX-view, okular fails

From: Ikumi Keita <[email-masked]>
Date: Tue, 17 Jul 2018 13:23:06 +0900

Hi Uwe,

>>>>> Uwe Brauer <[email-masked]> writes:
> What does not work is TeX-view directly. That causes an error whose
> trace I attach. I am now very much used to TeX-view, so I would
> appreciate a solution to that problem.

> Debugger entered--Lisp error: (wrong-number-of-arguments #f(compiled-function (&optional extension nondirectory) #<bytecode 0x164e379>) 3)
>   TeX-active-master("pdf" t nil)
>   TeX--master-or-region-file-with-extra-quotes("pdf" t)
>   funcall(TeX--master-or-region-file-with-extra-quotes "pdf" t)
>   (lambda nil (funcall file (TeX-output-extension) t))()
>   apply((lambda nil (funcall file (TeX-output-extension) t)) nil)
>   TeX-command-expand("%V" TeX-active-master)
>   TeX-command("View" TeX-active-master 0)
>   TeX-view()
>   funcall-interactively(TeX-view)
>   call-interactively(TeX-view nil nil)
>   command-execute(TeX-view)

I'm sorry, this is a regression due to my recent commit.  The fix is
committed a week ago, so please sync with the latest git repository of
AUCTeX.

> The problem with evince is that, jumping back to the source of a link
> can only done by the toolbar not by the keyboard. I searched for a
> configuration but failed, so if anybody found a solution to that
> problem, I would love to hear about it because I could stay with
> evince, which I prefer.

I don't know about this, unfortunately.

Regards,
Ikumi Keita